pth-1.4.1 broken (was: [jadmin] s2s in 1.4.2)

Jacek Konieczny jajcus at bnet.pl
Mon Feb 11 06:51:40 CST 2002


On Sun, Feb 10, 2002 at 03:23:08AM +0000, Thomas Parslow (PatRat) wrote:
> Hi,
> 
> I've just upgraded my Jabber server (previously on 1.4.1) to 1.4.2 and
> s2s doesn't seem to work any more...
I got the same problem with connecting to some servers. Connection to
jabber.org was goot. To trace teh problem I have set another server up.
And it was unable to connect to any other server or do dialback answer.

The only difference between the old one (working) server, and the new
one was pth library: 1.4.0 on the old one and 1.4.1 on the new. It seems
1.4.1 is also distributed with jabber-1.4.2.
Downgrading pth to 1.4.0 fixed the new server.

It seems connect function in pth-1.4.1 is broken. Maybe not on every
platform, but on some for sure.

Cross-post to jdev, as that is the place, where developers are :-)

Greets,
        Jacek 



More information about the JAdmin mailing list